<?php




namespace app\common\model\store\service;


use app\common\model\BaseModel;
use app\common\model\system\merchant\Merchant;
use app\common\model\user\User;

class StoreService extends BaseModel
{

    public static function tablePk(): ?string
    {
        return 'service_id';
    }

    public static function tableName(): string
    {
        return 'store_service';
    }

    public function user()
    {
        return $this->hasOne(User::class, 'uid', 'uid');
    }

    public function merchant()
    {
        return $this->hasOne(Merchant::class, 'mer_id', 'mer_id');
    }
}